[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TRasterImage.SetWidth

Sets the value for the Width property.

## Declaration

Source position: graphics.pp line 1297

`protected procedure TRasterImage.SetWidth(`
`AWidth: Integer`
`); override;`

## Arguments

`AWidth` |  | New value for the property.

## Description

Calls SetSize using the existing value for the Height property and the value for the AWidth parameter.

## See also

TRasterImage.SetSize |  | SetSize - specifies height and width of Image.
TGraphic.Width |  | Width - The native, unstretched, width of the graphic.